Bug 23019 - Suse11-64 : System hangs on killing the X server with CTRL+ALT+Backspace
Suse11-64 : System hangs on killing the X server with CTRL+ALT+Backspace
Status: RESOLVED WONTFIX
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/r300
7.2
x86 (IA32) All
: high critical
Assigned To: Default DRI bug account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-29 05:06 UTC by samit vats
Modified: 2014-07-07 16:43 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Xorg.log (40.96 KB, patch)
2009-07-29 05:06 UTC, samit vats
Details | Splinter Review
lspci (1.95 KB, text/plain)
2009-07-29 05:07 UTC, samit vats
Details
glxinfo (4.11 KB, text/plain)
2009-07-29 05:08 UTC, samit vats
Details
xorg.conf (1.34 KB, application/octet-stream)
2009-07-29 05:09 UTC, samit vats
Details

Note You need to log in before you can comment on or make changes to this bug.
Description samit vats 2009-07-29 05:06:26 UTC
Created attachment 28155 [details] [review]
Xorg.log

OS: Suse11-64-Bit
Asic : Radeon RV570


Details of the X-stack:
----------------------

mesa/drm:           master (git)     29-JUL-2009
mesa/mesa :         7.2                                             
xorg/xserver:        1.5.2                                               
xorg/xf86-video-ati: master(git)      29-JUL-2009                            
xorg/driver/xf86-input-keyboard - 1.3.0                  
xorg/driver/xf86-input-mouse-1.3.0 




Steps to reproduce Problem:
-------------------------

Kill the running X server with CTRL+ALT+Backspace


Observation :
--------------

After 2 or 3 seconds system hard hangs.
Comment 1 samit vats 2009-07-29 05:07:25 UTC
Created attachment 28156 [details]
lspci
Comment 2 samit vats 2009-07-29 05:08:33 UTC
Created attachment 28157 [details]
glxinfo
Comment 3 samit vats 2009-07-29 05:09:38 UTC
Created attachment 28158 [details]
xorg.conf
Comment 4 Alex Deucher 2009-07-29 08:02:59 UTC
If this is a regression is there any chance you could use git bisect to track down what commit caused it?  Also is there anything drm related in your kernel log after the hang?  Does disabling the DRI (Option "DRI" "False") fix it?
Comment 5 samit vats 2009-07-31 04:24:52 UTC
(In reply to comment #4)
> If this is a regression is there any chance you could use git bisect to track
> down what commit caused it?  Also is there anything drm related in your kernel
> log after the hang?  Does disabling the DRI (Option "DRI" "False") fix it?
> 


a) This issue is specific to suse11-64. It was observed intermittently in old builds. But with the present builds the frquency of occurence is always. 
b) After rebooting the /var/log/dump is empty. 
c) Yes, the issue in not re-produced with Option "DRI" "False"
Comment 6 Andreas Boll 2014-07-07 16:43:34 UTC
The classic r300 driver has been abandoned long ago.
It was replaced by the Gallium driver r300g.

If you have issues with r300g please file a new bug report with component Drivers/Gallium/r300

Thanks.